The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Sensors for Association

Prev Next

This URL retrieves the Sensors which can be associated with the given license.

Resource URL

GET /license/getSensorsforassociation

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
model Model allowed for the license String Yes
licenseId License id String Yes

Payload Request Parameters: None

Response Parameters

Returns the following fields.

Details of the fields in usage.

Field Name Description Data Type
sensorDetailsList List of Sensor details that can be associated with license Object

Details of fields in virtualSensors:

Field Name Description Data Type
sensorId Sensor id Number
peerSensor Peer Sensor id Number
deviceName Device name String

Example

Request

GET https://<NSM_IP>/license//getSensorsforassociation?model=IPS-NS9500&licenseId=00001

Payload

None

Response

{
"sensorDetailsList": [
{"sensorId": 1002, "peerSensor": None, "deviceName": "/My Company/Test Child Domain 1/NS9500_2"}, 
{"sensorId": 1006, "peerSensor": "denali-2", "deviceName": "/My Company/Test Child Domain 1/denali-1"}, 
{"sensorId": 1007, "peerSensor": "denail-1", "deviceName": "/My Company/Test Child Domain 1/denali-2"}]} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error
2 500 4812 License with the given id does not exist